// SPDX-License-Identifier: UNLICENSED
pragma solidity ^0.8.13;

import "forge-std/Script.sol";
import {Punkhunt} from "../src/Punkhunt.sol";
import {Duck} from "../src/Duck.sol";
import {Zapper} from "../src/Zapper.sol";

contract DeployProject is Script {
    function run() public {
        vm.startBroadcast();
        Punkhunt punkhunt = new Punkhunt();
        Duck duck = new Duck();
        Zapper zapper = new Zapper();
        duck.setPunkhuntContract(address(punkhunt));
        zapper.setPunkhuntContract(address(punkhunt));
        punkhunt.setDuckContract(address(duck));
        punkhunt.setZapperContract(address(zapper));
    }
}
